% first run regression_parameter, with index_ini=1, for index_c = 1 and 0,
% respectively, to reduce the order of polynomial from 15 to 8

% second run this code, starting with i=6, index_forward = 1 for i >= 6, and then
% index_forward = 0 for i < 6.

% global
global xi_i xi

% xi
xi_grid=[1.0 1.1 1.2 1.3 1.4 1.5 1.6 1.8 2.0 2.5 3.0 3.5 4.5 5.0 5.5 6 7 8 9 10 12.5 15 17.5 20 25 27.5 30 32.5 35 40 45 50];
benchmark_grid=6;
xxx=size(xi_grid);
grid_max=xxx(2);

index_forward=1;

if index_forward == 0
    
for xi_i = benchmark_grid:grid_max
    xi=xi_grid(xi_i);

    if xi_i == 6 % the benchmark case
        loadfile=['solution_aa_1_c1_xi_',num2str(xi_i)];
        load(loadfile);
        save solution_aa_1_c1 solution_aa_1
        loadfile=['solution_aa_1_c2_xi_',num2str(xi_i)];
        load(loadfile);
        save solution_aa_1_c2 solution_aa_1
        R=1.04^30;
    else
        loadfile=['solution_aa_1_c1_xi_',num2str(xi_i-1)];
        load(loadfile);
        save solution_aa_1_c1 solution_aa_1
        loadfile=['solution_aa_1_c2_xi_',num2str(xi_i-1)];
        load(loadfile);
        save solution_aa_1_c2 solution_aa_1
        loadfile=['two_country_ss_xi_',num2str(xi_i-1)];
        load(loadfile,'R');
    end
    
    % solution
    options=optimset('Display','iter','LargeScale','off','MaxIter',50,'TolFun',1e-30,'TolX',1e-20);
    xxx=fsolve('fun_regression_parameter',[R],options);
    disp('result')
    disp([xi_i xi R])
end

else
    
for xi_j = 1:benchmark_grid-1
    xi_i=benchmark_grid-xi_j;
    xi=xi_grid(xi_i);
    
    loadfile=['solution_aa_1_c1_xi_',num2str(xi_i+1)];
    load(loadfile);
    save solution_aa_1_c1 solution_aa_1
    loadfile=['solution_aa_1_c2_xi_',num2str(xi_i+1)];
    load(loadfile);
    save solution_aa_1_c2 solution_aa_1
    loadfile=['two_country_ss_xi_',num2str(xi_i+1)];
    load(loadfile,'R');
    
    % solution
    options=optimset('Display','iter','LargeScale','off','MaxIter',50,'TolFun',1e-30,'TolX',1e-20);
    xxx=fsolve('fun_regression_parameter',[R],options);
    disp('result')
    disp([xi_i xi R])
end

end