%***********************************************
% set theta=1 and lambda=0 in the fortran code %
%***********************************************

clear

load result.txt
xxx=size(result);
T=xxx(1)*xxx(2)-1;
fortran_g=result';
fortran=fortran_g(1:T);
fortran=fortran';

load regression_parameter
% b_max=0.115651571918594;
for i=1:T
    fortran_b(i)=0+(i-1)*(b_max-0)/(T-1);
end

% regression
indep_matrix(1:T,1)=1; indep_matrix(1:T,2)=fortran_b(1:T)';
x=regress(fortran,indep_matrix);

g_slope=x; g_fortran=fortran; b_fortran=fortran_b(1:T)';
save data_g_slope g_slope g_fortran b_fortran T

%%%%%%%%%%%
% tax rate
%%%%%%%%%%%

load result_tau.txt
fortran_tau_l=result_tau';
fortran=fortran_tau_l(1:T);
fortran=fortran';

% regression
indep_matrix(1:T,1)=1; indep_matrix(1:T,2)=fortran_b(1:T)';
x=regress(fortran,indep_matrix);

tau_slope=x; tau_fortran=fortran; b_fortran=fortran_b(1:T)';
save data_tau_slope tau_slope tau_fortran b_fortran T

