clear

load regression_parameter

T=100;

% range of grids
% b_max_0=0.999*b_max; % 0.145944178104401; % 0.9*b_max;
% b_min_0=0;


for index = 1:4
    if index == 1 % benchmark
        load solution_aa_xi_benchmark
        save solution_aa_1 solution_aa_1
        load regression_parameter_xi_benchmark
        save regression_parameter bet the the_o alp omi R xi lam phi w F tau_max b_max b_min b_max_0 b_min_0 X w ord num vb b d_vb
    elseif index == 2
        load solution_aa_xi_10
        save solution_aa_1 solution_aa_1
        load regression_parameter_xi_10
        save regression_parameter bet the the_o alp omi R xi lam phi w F tau_max b_max b_min b_max_0 b_min_0 X w ord num vb b d_vb
    elseif index == 3
        load solution_aa_xi_50
        save solution_aa_1 solution_aa_1
        load regression_parameter_xi_50
        save regression_parameter bet the the_o alp omi R xi lam phi w F tau_max b_max b_min b_max_0 b_min_0 X w ord num vb b d_vb
    elseif index == 4
        load solution_aa_xi_100
        save solution_aa_1 solution_aa_1
        load regression_parameter_xi_100
        save regression_parameter bet the the_o alp omi R xi lam phi w F tau_max b_max b_min b_max_0 b_min_0 X w ord num vb b d_vb
    end
    
    % define function: g(t)=B(b(t)) 
    for j=1:T
        b_x(index,j)=b_min_0+(j-1)*(b_max_0-b_min_0)/(T-1);
        yyy=feval('fun_result',b_x(index,j));
        g_x(j)=yyy(1,1); tau_x(j)=yyy(2,1);
        h_x(j)=(w*(1-tau_x(j))/X)^(1/xi);
        b1_x(index,j)=g_x(j)+R*b_x(index,j)-w*h_x(j)*tau_x(j);
    end
end

% linear equilibrium
% parameter
lamd=the_o/the;
II=1/(1+(1-omi)*((1+bet)+the*bet*lamd)/(the*(1+omi*(lamd-1))));
for j=1:T
    b1_linear(j)=b_max-(1-omi)*lamd/(1+omi*(lamd-1))*bet*R*II*(b_max-b_x(index,j));
end

figure (1)
plot(b_x(1,:),b1_x(1,:),'b --','LineWidth',1)
hold on
plot(b_x(2,:),b1_x(2,:),'b -','LineWidth',1)
hold on
plot(b_x(3,:),b1_x(3,:),'b -.','LineWidth',1)
hold on
plot(b_x(4,:),b1_x(4,:),'b :','LineWidth',1)
hold on
plot(b_x(index,:),b1_linear,'r -','LineWidth',2)
hold on
plot(b_x(index,:),b_x(index,:),'k -')
% set(gca,'xtick',[0 0.05 0.10 0.15 0.22])
% set(gca,'ytick',[0.05 0.10 0.15 0.22])
axis([0 b_max 0 b_max])
xlabel('debt')
ylabel('next-period debt')
legend('FE=0.67','FE=0.10','FE=0.02','FE=0.01','Linear Equilibrium')
% title('panel c')
hold off
box off
