load regression_parameter

load data_result_c1
load data_result_c2

figure (1)
subplot(2,2,1)
plot(b_x,b1_x_c1,'g -','LineWidth',2)
hold on
plot(b_x,b1_x_c2,'g :','LineWidth',2)
hold on
plot(b_x,b_x,'k -')
hold off
% set(gca,'xtick',[0 0.05 0.10 0.15 0.22])
% set(gca,'ytick',[0.05 0.10 0.15 0.22])
axis([0 b_max 0 b_max])
xlabel('debt')
ylabel('next-period debt')
title('panel a')
hold off
box off

subplot(2,2,2)
plot(b_x,g_x_c1,'r -','LineWidth',2)
hold on
plot(b_x,g_x_c2,'r :','LineWidth',2)
hold off
% set(gca,'xtick',[0 0.05 0.10 0.15 0.22])
% set(gca,'ytick',[0.05 0.10 0.15 0.20])
axis([0 b_max 0 0.25])
xlabel('debt')
ylabel('public spending')
title('panel b')
box off

subplot(2,2,3)
plot(b_x,tau_x_c1,'b -','LineWidth',2)
hold on
plot(b_x,tau_x_c2,'b :','LineWidth',2)
hold off
% set(gca,'xtick',[0 0.05 0.10 0.15 0.22])
% set(gca,'ytick',[0.10 0.20 0.30 0.40 0.50])
axis([0 b_max 0.35 0.601])
xlabel('debt')
ylabel('tax rate')
title('panel c')
box off

subplot(2,2,4)
plot([0:time-1],b_t_c1,'k -','LineWidth',2)
hold on
plot([0:time-1],b_t_c2,'k :','LineWidth',2)
hold on
plot([0:time-1],b_t_linear_c1,'k --','LineWidth',2)
hold on
plot([0:time-1],b_t_linear_c2,'k -.','LineWidth',2)
hold on
legend('low-\theta, E','high-\theta, E','low-\theta, IE','high-\theta, IE')
% set(gca,'ytick',[0.01 0.02 0.03 0.04 0.05])
% hold on
% plot([0:time-1],b_t_ramsey,'g :','LineWidth',2)
axis([0 time-1 0 b_max])
hold off
% legend('Markov','Ramsey')
xlabel('time')
ylabel('debt')
title('panel d')
box off
