load regression_parameter

time=401;

% initial state
b_t(1)=0.01;

for t=1:time-1
    yyy=feval('fun_result',b_t(t));
    g_t(t)=yyy(1,1); tau_t(t)=yyy(2,1);
    h_t(t)=(w*(1-tau_t(t))/X)^(1/xi);
    b_t(t+1)=g_t(t)+R*b_t(t)-w*h_t(t)*tau_t(t);
    g_gdp(t)=g_t(t)/(w*h_t(t));
    b_gdp(t)=b_t(t)/(w*h_t(t));
    inc_t(t)=h_t(t)*w*(1-tau_t(t))+F-1/(1+xi)*X*h_t(t)^(1+xi); % income of the young
    con_t(t)=1/(1+bet)*(h_t(t)*w*(1-tau_t(t))+F-1/(1+xi)*X*h_t(t)^(1+xi)+F/R); % consumption of the young
    y_t(t)=h_t(t)*w+F-1/(1+xi)*X*h_t(t)^(1+xi);
    sr_t(t)=(inc_t(t)-con_t(t))/(h_t(t)*w);
end

xxx=feval('fun_result',b_t(time));
g_t(time)=xxx(1,1);
tau_t(time)=xxx(2,1);
h_t(time)=(w*(1-tau_t(time))/X)^(1/xi);
g_gdp(time)=g_t(time)/(w*h_t(time));
b_gdp(time)=b_t(time)/(w*h_t(time));
c_t(time)=h_t(time)*w*(1-tau_t(time))+F-1/(1+xi)*X*h_t(time)^(1+xi);
y_t(time)=h_t(time)*w+F-1/(1+xi)*X*h_t(time)^(1+xi);
ms_t(time)=h_t(time)*w/y_t(time);
inc_t(time)=h_t(time)*w*(1-tau_t(time))+F-1/(1+xi)*X*h_t(time)^(1+xi); % income of the young
con_t(time)=1/(1+bet)*(h_t(time)*w*(1-tau_t(time))+F-1/(1+xi)*X*h_t(time)^(1+xi)+F/R); % consumption of the young
sr_t(time)=(inc_t(time)-con_t(time))/(h_t(time)*w);
% ss_ratio=(ret-1)*F/(h_t(time)*w*(1-tau_t(time))); % the social security
% income vs the income of the young