function y=fun_kks_first(bb)

global data_b kap_G kap_T bet the alp omi R xi lam phi w F X

data_b=bb;
options=optimset('Display','off','LargeScale','off','MaxIter',50,'TolFun',1e-30,'TolX',1e-20);
tau=fsolve('fun_tau',0.4,options);
h=(w*(1-tau)/X)^(1/xi);
e=1/xi*tau/(1-tau);
A=(1-tau)*w*h+F-X/(1+xi)*h^(1+xi)+F/R;
g=(1-e)*A/kap_T;

% first-order differentiation
d_G=kap_G;
d_e=1/xi*1/(1-tau)^2;
d_h=-1/xi*(w/X)^(1/xi)*(1-tau)^(1/xi-1);
d_A=-w*h;
d_T=kap_T*d_G/(-d_e*A+(1-e)*d_A);
d_B=d_G+R-d_T*w*h*(1-e);

% second-order differentiation
dd_G=(kap_G*d_G*d_B-d_G^2)/(d_B*g);

y=dd_G;